<?php

/* DCMS Special
 * Дата последнего редактирования 16.01.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "../../sys/inc/$inc.php";
}

if (isset($user)) {
    $ank['id'] = $user['id'];
}

if (isset($_GET['id'])) {
    $ank['id'] = intval($_GET['id']);
}

$ank = get_user($ank['id']);

if ($ank['id'] == 0) {
    header("Location: /index.php?" . SID);
    exit;
}

if (isset($user) && isset($_GET['delete']) && $user['id'] == $ank['id']) {
    mysql_query("DELETE FROM `bookmark_forum` WHERE `id` = '" . intval($_GET['delete']) . "' AND `id_user` = '$user[id]' LIMIT 1");

    $_SESSION['message'] = lang('Закладка удалена');
    header("Location: ?page=" . intval($_GET['page']) . "" . SID);
    exit;
}

if (!$ank) {
    header("Location: /index.php?" . SID);
    exit;
}

$set['title'] = lang('Закладки') . ' - ' . lang('Форум') . ' ' . $ank['nick']; // заголовок страницы

require_once H . 'sys/inc/thead.php';

aut();
err();

$users = mysql_result(mysql_query("SELECT COUNT(id_user) FROM `bookmark_user` WHERE `id_user` = '" . $ank['id'] . "'"), 0);
$foto = mysql_result(mysql_query("SELECT COUNT(id_user) FROM `bookmark_foto` WHERE `id_user` = '" . $ank['id'] . "'"), 0);

#Навигация
echo "<div class='card-header'>";
echo "<a href='/' data-toggle='tooltip' data-placement='right' title='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/info.php?id=$ank[id]'>$ank[nick]</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo lang('Закладки');
echo "</div>";

echo "<div class='list-group-item'>";
echo "<ul class='nav nav-tabs' style='margin-bottom: -11px;'>";
echo "<li class='nav-item'><a class='nav-link' href='index.php?id=$ank[id]'>" . lang('Люди') . " <span class='label label-default'>$users</span></a></li>";
echo "<li class='nav-item'><a class='nav-link' href='foto.php?id=$ank[id]'>" . lang('Фото') . " <span class='label label-default'>$foto</span></a></li>";
echo "<li class='nav-item'><a class='nav-link active'>" . lang('Форум') . " <span class='label label-default'>0</span></a></li>";
echo "</ul>";
echo "</div>";

$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `bookmark_forum` WHERE `id_user` = '$ank[id]'"), 0);
$k_page = k_page($k_post, $set['p_str']);
$page = page($k_page);
$start = $set['p_str'] * $page - $set['p_str'];

if ($k_post == 0) {
    $doc->NoResult();
}

$q = mysql_query("SELECT * FROM `bookmark_forum`  WHERE `id_user` = '$ank[id]' ORDER BY id DESC LIMIT $start, $set[p_str]");

while ($post = mysql_fetch_assoc($q)) {

    $ank_p = get_user($gallery['id_user']);
}

if ($k_page > 1) {
    echo "<div class='list-group-item'>";
    str('?', $k_page, $page);
    echo "</div>";
}


require_once H . 'sys/inc/tfoot.php';
